#! /bin/sh -
# display2.sh - Wifi Radio LCD display routines
# 12/12/08	Jeff Keyzer	http://mightyohm.com
# edits to support 20x4 diplay 02/23/10 - akula169
# This shell script queries mpd for current song information and sends
# relevant bits of it to the serial port, where an AVR-based LCD display
# is waiting.
#
# For more information, visit
# http://mightyohm.com/blog/
#

trap 'exit 1' SIGINT	# exit on ctrl-c, useful for debugging

IFS='
'

while true		# loop forever
do
   STATE=`echo "status" | nc localhost 6600 | grep -e state | sed 's/state: //g'`
   OUTPUT=`echo "currentsong" | nc localhost 6600`
   CHANNEL=`echo $OUTPUT | grep -e "Name" | sed 's/Name: //'`                        
   TITLE=`echo $OUTPUT | grep -e "Title" | sed 's/Title: //'`                     
   ARTIST=`echo $TITLE | sed 's/ - /~/' | cut -f 1 -d "~"`
   TRACK=`echo $TITLE | sed 's/ - /~/' | cut -f 2 -d "~"` 
   
  echo -e "Artist: $ARTIST\nTrack: $TRACK\nStation: $CHANNEL\nState: [$STATE]" > /dev/tts/0
#  echo -e "Artist: $ARTIST\nTrack: $TRACK\nStation: $CHANNEL\nState: [$STATE]" 
   sleep 1
done

